<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:roleRef roleURI="https://www.budimex.pl/role/GeneralInformation" xlink:type="simple" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#GeneralInformation" />
  <link:roleRef roleURI="https://www.budimex.pl/role/BalanceSheet" xlink:type="simple" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#BalanceSheet" />
  <link:roleRef roleURI="https://www.budimex.pl/role/IncomeStatement" xlink:type="simple" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#IncomeStatement" />
  <link:roleRef roleURI="https://www.budimex.pl/role/ChangesinEquity" xlink:type="simple" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#ChangesinEquity" />
  <link:roleRef roleURI="https://www.budimex.pl/role/ComprehensiveIncome" xlink:type="simple" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#ComprehensiveIncome" />
  <link:roleRef roleURI="https://www.budimex.pl/role/CashFlow" xlink:type="simple" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#CashFlow" />
  <link:presentationLink xlink:type="extended" xlink:role="https://www.budimex.pl/role/GeneralInformation">
    <link:loc xlink:type="locator" xlink:href="http://www.esma.europa.eu/taxonomy/2020-03-16/esef_cor.xsd#esef_cor_NotesAccountingPoliciesAndMandatoryTags" xlink:label="NotesAccountingPoliciesAndMandatoryTags" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_LegalFormOfEntity" xlink:label="LegalFormOfEntity" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NameOfReportingEntityOrOtherMeansOfIdentification" xlink:label="NameOfReportingEntityOrOtherMeansOfIdentification" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DomicileOfEntity" xlink:label="DomicileOfEntity" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CountryOfIncorporation" xlink:label="CountryOfIncorporation" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AddressOfRegisteredOfficeOfEntity" xlink:label="AddressOfRegisteredOfficeOfEntity" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DescriptionOfNatureOfEntitysOperationsAndPrincipalActivities" xlink:label="DescriptionOfNatureOfEntitysOperationsAndPrincipalActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PrincipalPlaceOfBusiness" xlink:label="PrincipalPlaceOfBusiness" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NameOfUltimateParentOfGroup" xlink:label="NameOfUltimateParentOfGroup" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NameOfParentEntity" xlink:label="NameOfParentEntity" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ExplanationOfChangeInNameOfReportingEntityOrOtherMeansOfIdentificationFromEndOfPrecedingReportingPeriod" xlink:label="ExplanationOfChangeInNameOfReportingEntityOrOtherMeansOfIdentificationFromEndOfPrecedingReportingPeriod" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="NotesAccountingPoliciesAndMandatoryTags" xlink:to="ExplanationOfChangeInNameOfReportingEntityOrOtherMeansOfIdentificationFromEndOfPrecedingReportingPeriod" order="1" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="NotesAccountingPoliciesAndMandatoryTags" xlink:to="NameOfParentEntity" order="2" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="NotesAccountingPoliciesAndMandatoryTags" xlink:to="NameOfUltimateParentOfGroup" order="3" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="NotesAccountingPoliciesAndMandatoryTags" xlink:to="PrincipalPlaceOfBusiness" order="4" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="NotesAccountingPoliciesAndMandatoryTags" xlink:to="DescriptionOfNatureOfEntitysOperationsAndPrincipalActivities" order="5" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="NotesAccountingPoliciesAndMandatoryTags" xlink:to="AddressOfRegisteredOfficeOfEntity" order="6" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="NotesAccountingPoliciesAndMandatoryTags" xlink:to="CountryOfIncorporation" order="7" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="NotesAccountingPoliciesAndMandatoryTags" xlink:to="DomicileOfEntity" order="8" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="NotesAccountingPoliciesAndMandatoryTags" xlink:to="NameOfReportingEntityOrOtherMeansOfIdentification" order="9" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="NotesAccountingPoliciesAndMandatoryTags" xlink:to="LegalFormOfEntity" order="10" />
  </link:presentationLink>
  <link:presentationLink xlink:type="extended" xlink:role="https://www.budimex.pl/role/BalanceSheet">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_StatementOfFinancialPositionAbstract" xlink:label="StatementOfFinancialPositionAbstract" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_StatementOfFinancialPositionTable" xlink:label="StatementOfFinancialPositionTable" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_RetrospectiveApplicationAndRetrospectiveRestatementAxis" xlink:label="RetrospectiveApplicationAndRetrospectiveRestatementAxis" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PreviouslyStatedMember" xlink:label="PreviouslyStatedMember" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_RestatedMember" xlink:label="RestatedMember" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_StatementOfFinancialPositionLineItems" xlink:label="StatementOfFinancialPositionLineItems" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_EquityAndLiabilities" xlink:label="EquityAndLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Liabilities" xlink:label="Liabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentLiabilities" xlink:label="CurrentLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherCurrentFinancialLiabilities" xlink:label="OtherCurrentFinancialLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentProvisionsForEmployeeBenefits" xlink:label="CurrentProvisionsForEmployeeBenefits" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:label="CurrentTaxLiabilitiesCurrent" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherShorttermProvisions" xlink:label="OtherShorttermProvisions" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DeferredIncome" xlink:label="DeferredIncome" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ValuationOfConstructionContractsLiabilities" xlink:label="ValuationOfConstructionContractsLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ShorttermOnerousContractsProvision" xlink:label="ShorttermOnerousContractsProvision" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ShortTermRetentionsForConstructionContractsLiabilities" xlink:label="ShortTermRetentionsForConstructionContractsLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_TradeAndOtherCurrentPayables" xlink:label="TradeAndOtherCurrentPayables" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ShortTermLoansBorrowinsAndOtherSourcesOfFinance" xlink:label="ShortTermLoansBorrowinsAndOtherSourcesOfFinance" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="NoncurrentLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DeferredTaxLiabilities" xlink:label="DeferredTaxLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherNoncurrentFinancialLiabilities" xlink:label="OtherNoncurrentFinancialLiabilities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentProvisionsForEmployeeBenefits" xlink:label="NoncurrentProvisionsForEmployeeBenefits" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherLongtermProvisions" xlink:label="OtherLongtermProvisions" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_LongTermRetentionsForConstructionContractsLiabilities" xlink:label="LongTermRetentionsForConstructionContractsLiabilities" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_LongTermLoansAndBorrowingsAndOtherSourcesOfFinance" xlink:label="LongTermLoansAndBorrowingsAndOtherSourcesOfFinance" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Equity" xlink:label="Equity" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncontrollingInterests" xlink:label="NoncontrollingInterests" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_EquityAttributableToOwnersOfParent" xlink:label="EquityAttributableToOwnersOfParent" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_RetainedEarnings" xlink:label="RetainedEarnings" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ReserveOfExchangeDifferencesOnTranslation" xlink:label="ReserveOfExchangeDifferencesOnTranslation" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherReserves" xlink:label="OtherReserves" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_SharePremium" xlink:label="SharePremium" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IssuedCapital" xlink:label="IssuedCapital" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Assets" xlink:label="Assets" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentAssets" xlink:label="CurrentAssets" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="CashAndCashEquivalents" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherCurrentFinancialAssets" xlink:label="OtherCurrentFinancialAssets" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentTaxAssetsCurrent" xlink:label="CurrentTaxAssetsCurrent" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ValuationOfConstructionContractsAssets" xlink:label="ValuationOfConstructionContractsAssets" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ShortTermRetentionsForConstructionContractsAssets" xlink:label="ShortTermRetentionsForConstructionContractsAssets" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_TradeAndOtherCurrentReceivables" xlink:label="TradeAndOtherCurrentReceivables" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Inventories" xlink:label="Inventories" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentAssets" xlink:label="NoncurrentAssets" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DeferredTaxAssets" xlink:label="DeferredTaxAssets" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherNoncurrentFinancialAssets" xlink:label="OtherNoncurrentFinancialAssets" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ReceivablesFromServiceConcessionAgreements" xlink:label="ReceivablesFromServiceConcessionAgreements" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentReceivables" xlink:label="NoncurrentReceivables" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_LongTermRetentionsForConstructionContractsAssets" xlink:label="LongTermRetentionsForConstructionContractsAssets" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_EquityInstrumentsHeld" xlink:label="EquityInstrumentsHeld" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_InvestmentAccountedForUsingEquityMethod" xlink:label="InvestmentAccountedForUsingEquityMethod" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Goodwill" xlink:label="Goodwill" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:label="IntangibleAssetsOtherThanGoodwill" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_InvestmentProperty" xlink:label="InvestmentProperty" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:label="PropertyPlantAndEquipment" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionAbstract" xlink:to="StatementOfFinancialPositionLineItems" order="1" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionAbstract" xlink:to="StatementOfFinancialPositionTable" order="2" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionTable" xlink:to="RetrospectiveApplicationAndRetrospectiveRestatementAxis" order="1" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="RetrospectiveApplicationAndRetrospectiveRestatementAxis" xlink:to="PreviouslyStatedMember" order="1" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="PreviouslyStatedMember" xlink:to="RestatedMember" order="1" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="PropertyPlantAndEquipment" order="1" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="InvestmentProperty" order="2" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="IntangibleAssetsOtherThanGoodwill" order="3" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="Goodwill" order="4" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="InvestmentAccountedForUsingEquityMethod" order="5" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="EquityInstrumentsHeld" order="6" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="LongTermRetentionsForConstructionContractsAssets" order="7" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="NoncurrentReceivables" order="8" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="ReceivablesFromServiceConcessionAgreements" order="9" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="OtherNoncurrentFinancialAssets" order="10" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="DeferredTaxAssets" order="11" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="NoncurrentAssets" order="12" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="Inventories" order="13" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="TradeAndOtherCurrentReceivables" order="14" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="ShortTermRetentionsForConstructionContractsAssets" order="15" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="ValuationOfConstructionContractsAssets" order="16" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="CurrentTaxAssetsCurrent" order="17" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="OtherCurrentFinancialAssets" order="18" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="CashAndCashEquivalents" order="19" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="CurrentAssets" order="20" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="Assets" order="21" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="IssuedCapital" order="22" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="SharePremium" order="23" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="OtherReserves" order="24" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="ReserveOfExchangeDifferencesOnTranslation" order="25" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="RetainedEarnings" order="26" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="EquityAttributableToOwnersOfParent" order="27" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="NoncontrollingInterests" order="28" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="Equity" order="29" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="LongTermLoansAndBorrowingsAndOtherSourcesOfFinance" order="30" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="LongTermRetentionsForConstructionContractsLiabilities" order="31" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="OtherLongtermProvisions" order="32" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="NoncurrentProvisionsForEmployeeBenefits" order="33" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="OtherNoncurrentFinancialLiabilities" order="34" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="DeferredTaxLiabilities" order="35" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="NoncurrentLiabilities" order="36" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="ShortTermLoansBorrowinsAndOtherSourcesOfFinance" order="37" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="TradeAndOtherCurrentPayables" order="38" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="ShortTermRetentionsForConstructionContractsLiabilities" order="39" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="ShorttermOnerousContractsProvision" order="40" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="ValuationOfConstructionContractsLiabilities" order="41" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="DeferredIncome" order="42" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="OtherShorttermProvisions" order="43" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="CurrentTaxLiabilitiesCurrent" order="44" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="CurrentProvisionsForEmployeeBenefits" order="45" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="OtherCurrentFinancialLiabilities" order="46" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="CurrentLiabilities" order="47" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="Liabilities" order="48" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfFinancialPositionLineItems" xlink:to="EquityAndLiabilities" order="49" />
  </link:presentationLink>
  <link:presentationLink xlink:type="extended" xlink:role="https://www.budimex.pl/role/IncomeStatement">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncomeStatementAbstract" xlink:label="IncomeStatementAbstract" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_BasicAndDilutedEarningsLossPerShareFromDiscontinuedOperations" xlink:label="BasicAndDilutedEarningsLossPerShareFromDiscontinuedOperations" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_BasicAndDilutedEarningsLossPerShareFromContinuingOperations" xlink:label="BasicAndDilutedEarningsLossPerShareFromContinuingOperations" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_BasicAndDilutedEarningsLossPerShare" xlink:label="BasicAndDilutedEarningsLossPerShare" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossFromContinuingOperationsAttributableToNoncontrollingInterests" xlink:label="ProfitLossFromContinuingOperationsAttributableToNoncontrollingInterests" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossFromDiscontinuedOperationsAttributableToNoncontrollingInterests" xlink:label="ProfitLossFromDiscontinuedOperationsAttributableToNoncontrollingInterests" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossAttributableToNoncontrollingInterests" xlink:label="ProfitLossAttributableToNoncontrollingInterests" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncomeFromDiscontinuedOperationsAttributableToOwnersOfParent" xlink:label="IncomeFromDiscontinuedOperationsAttributableToOwnersOfParent" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncomeFromContinuingOperationsAttributableToOwnersOfParent" xlink:label="IncomeFromContinuingOperationsAttributableToOwnersOfParent" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossAttributableToOwnersOfParent" xlink:label="ProfitLossAttributableToOwnersOfParent" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLoss" xlink:label="ProfitLoss" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossFromDiscontinuedOperations" xlink:label="ProfitLossFromDiscontinuedOperations" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossFromContinuingOperations" xlink:label="ProfitLossFromContinuingOperations" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="IncomeTaxExpenseContinuingOperations" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ProfitLossBeforeTax" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" xlink:label="ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_FinanceCosts" xlink:label="FinanceCosts" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_FinanceIncome" xlink:label="FinanceIncome" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="ProfitLossFromOperatingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherExpenseByFunction" xlink:label="OtherExpenseByFunction" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherIncome" xlink:label="OtherIncome" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdministrativeExpense" xlink:label="AdministrativeExpense" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DistributionCosts" xlink:label="DistributionCosts" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_GrossProfit" xlink:label="GrossProfit" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CostOfSales" xlink:label="CostOfSales" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Revenue" xlink:label="Revenue" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="IncomeStatementAbstract" xlink:to="Revenue" order="1" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="IncomeStatementAbstract" xlink:to="CostOfSales" order="2" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="IncomeStatementAbstract" xlink:to="GrossProfit" order="3" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="IncomeStatementAbstract" xlink:to="DistributionCosts" order="4" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="IncomeStatementAbstract" xlink:to="AdministrativeExpense" order="5" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="IncomeStatementAbstract" xlink:to="OtherIncome" order="6" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="IncomeStatementAbstract" xlink:to="OtherExpenseByFunction" order="7" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="IncomeStatementAbstract" xlink:to="ProfitLossFromOperatingActivities" order="8" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="IncomeStatementAbstract" xlink:to="FinanceIncome" order="9" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="IncomeStatementAbstract" xlink:to="FinanceCosts" order="10" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="IncomeStatementAbstract" xlink:to="ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" order="11" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="IncomeStatementAbstract" xlink:to="ProfitLossBeforeTax" order="12" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="IncomeStatementAbstract" xlink:to="IncomeTaxExpenseContinuingOperations" order="13" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="IncomeStatementAbstract" xlink:to="ProfitLossFromContinuingOperations" order="14" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="IncomeStatementAbstract" xlink:to="ProfitLossFromDiscontinuedOperations" order="15" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="IncomeStatementAbstract" xlink:to="ProfitLoss" order="16" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="IncomeStatementAbstract" xlink:to="ProfitLossAttributableToOwnersOfParent" order="17" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="IncomeStatementAbstract" xlink:to="IncomeFromContinuingOperationsAttributableToOwnersOfParent" order="18" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="IncomeStatementAbstract" xlink:to="IncomeFromDiscontinuedOperationsAttributableToOwnersOfParent" order="19" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="IncomeStatementAbstract" xlink:to="ProfitLossAttributableToNoncontrollingInterests" order="20" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="IncomeStatementAbstract" xlink:to="ProfitLossFromDiscontinuedOperationsAttributableToNoncontrollingInterests" order="21" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="IncomeStatementAbstract" xlink:to="ProfitLossFromContinuingOperationsAttributableToNoncontrollingInterests" order="22" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="IncomeStatementAbstract" xlink:to="BasicAndDilutedEarningsLossPerShare" order="23" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="IncomeStatementAbstract" xlink:to="BasicAndDilutedEarningsLossPerShareFromContinuingOperations" order="24" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="IncomeStatementAbstract" xlink:to="BasicAndDilutedEarningsLossPerShareFromDiscontinuedOperations" order="25" />
  </link:presentationLink>
  <link:presentationLink xlink:type="extended" xlink:role="https://www.budimex.pl/role/ChangesinEquity">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_StatementOfChangesInEquityLineItems" xlink:label="StatementOfChangesInEquityLineItems" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_StatementOfChangesInEquityAbstract" xlink:label="StatementOfChangesInEquityAbstract" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_StatementOfChangesInEquityTable" xlink:label="StatementOfChangesInEquityTable" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IssuedCapitalMember" xlink:label="IssuedCapitalMember" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_SharePremiumMember" xlink:label="SharePremiumMember" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherReservesMember" xlink:label="OtherReservesMember" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ReserveOfExchangeDifferencesOnTranslationMember" xlink:label="ReserveOfExchangeDifferencesOnTranslationMember" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_RetainedEarningsMember" xlink:label="RetainedEarningsMember" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_EquityAttributableToOwnersOfParentMember" xlink:label="EquityAttributableToOwnersOfParentMember" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncontrollingInterestsMember" xlink:label="NoncontrollingInterestsMember" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ComponentsOfEquityAxis" xlink:label="ComponentsOfEquityAxis" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_EquityMember" xlink:label="EquityMember" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_EquityBeforeRestatement" xlink:label="EquityBeforeRestatement" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_RestatementOfEquity" xlink:label="RestatementOfEquity" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Equity" xlink:label="Equity" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLoss" xlink:label="ProfitLoss" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="OtherComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DividendsRecognisedAsDistributionsToOwnersOfParent" xlink:label="DividendsRecognisedAsDistributionsToOwnersOfParent" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DividendsRecognisedAsDistributionsToNoncontrollingInterests" xlink:label="DividendsRecognisedAsDistributionsToNoncontrollingInterests" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncreaseDecreaseThroughOtherDistributionsToOwners" xlink:label="IncreaseDecreaseThroughOtherDistributionsToOwners" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DividendsPaid" xlink:label="DividendsPaid" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfChangesInEquityAbstract" xlink:to="StatementOfChangesInEquityTable" order="1" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfChangesInEquityAbstract" xlink:to="StatementOfChangesInEquityLineItems" order="2" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="ComponentsOfEquityAxis" xlink:to="EquityMember" order="1" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="EquityMember" xlink:to="IssuedCapitalMember" order="1" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="EquityMember" xlink:to="SharePremiumMember" order="2" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="EquityMember" xlink:to="OtherReservesMember" order="3" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="EquityMember" xlink:to="ReserveOfExchangeDifferencesOnTranslationMember" order="4" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="EquityMember" xlink:to="RetainedEarningsMember" order="5" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="EquityMember" xlink:to="EquityAttributableToOwnersOfParentMember" order="6" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="EquityMember" xlink:to="NoncontrollingInterestsMember" order="7" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfChangesInEquityLineItems" xlink:to="EquityBeforeRestatement" order="1" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfChangesInEquityLineItems" xlink:to="RestatementOfEquity" order="2" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfChangesInEquityLineItems" xlink:to="Equity" order="3" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfChangesInEquityLineItems" xlink:to="ProfitLoss" order="4" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfChangesInEquityLineItems" xlink:to="OtherComprehensiveIncome" order="5" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfChangesInEquityLineItems" xlink:to="ComprehensiveIncome" order="6" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfChangesInEquityLineItems" xlink:to="DividendsRecognisedAsDistributionsToOwnersOfParent" order="7" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfChangesInEquityLineItems" xlink:to="DividendsRecognisedAsDistributionsToNoncontrollingInterests" order="8" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfChangesInEquityLineItems" xlink:to="IncreaseDecreaseThroughOtherDistributionsToOwners" order="9" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfChangesInEquityLineItems" xlink:to="DividendsPaid" order="10" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfChangesInEquityTable" xlink:to="ComponentsOfEquityAxis" order="1" />
  </link:presentationLink>
  <link:presentationLink xlink:type="extended" xlink:role="https://www.budimex.pl/role/ComprehensiveIncome">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_StatementOfComprehensiveIncomeAbstract" xlink:label="StatementOfComprehensiveIncomeAbstract" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ComprehensiveIncomeFromDiscontinuedOperationsAttibutableToNonControllingInterests" xlink:label="ComprehensiveIncomeFromDiscontinuedOperationsAttibutableToNonControllingInterests" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ComprehensiveIncomeFromContinuingOperationsAttributableToNonControllingInterests" xlink:label="ComprehensiveIncomeFromContinuingOperationsAttributableToNonControllingInterests" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ComprehensiveIncomeAttributableToNoncontrollingInterests" xlink:label="ComprehensiveIncomeAttributableToNoncontrollingInterests" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ComprehensiveIncomeFromDiscontinuedOperationsAttributableToOwnersOfParent" xlink:label="ComprehensiveIncomeFromDiscontinuedOperationsAttributableToOwnersOfParent" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ComprehensiveIncomeFromContinuingOperationsAttributableToOwnersOfParent" xlink:label="ComprehensiveIncomeFromContinuingOperationsAttributableToOwnersOfParent" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ComprehensiveIncomeAttributableToOwnersOfParent" xlink:label="ComprehensiveIncomeAttributableToOwnersOfParent" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ComprehensiveIncomeFromDiscontinuedOperations" xlink:label="ComprehensiveIncomeFromDiscontinuedOperations" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ComprehensiveIncomeFromContinuingOperations" xlink:label="ComprehensiveIncomeFromContinuingOperations" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="OtherComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome" xlink:label="IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:label="OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncomeTaxRelatingToExchangeDifferencesOnTranslationOfOtherComprehensiveIncome" xlink:label="IncomeTaxRelatingToExchangeDifferencesOnTranslationOfOtherComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationBeforeTax" xlink:label="GainsLossesOnExchangeDifferencesOnTranslationBeforeTax" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLoss" xlink:label="ProfitLoss" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfComprehensiveIncomeAbstract" xlink:to="ProfitLoss" order="1" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfComprehensiveIncomeAbstract" xlink:to="GainsLossesOnExchangeDifferencesOnTranslationBeforeTax" order="2" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfComprehensiveIncomeAbstract" xlink:to="IncomeTaxRelatingToExchangeDifferencesOnTranslationOfOtherComprehensiveIncome" order="3" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfComprehensiveIncomeAbstract" xlink:to="OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" order="4" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfComprehensiveIncomeAbstract" xlink:to="IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome" order="5" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfComprehensiveIncomeAbstract" xlink:to="OtherComprehensiveIncome" order="6" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfComprehensiveIncomeAbstract" xlink:to="ComprehensiveIncome" order="7" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfComprehensiveIncomeAbstract" xlink:to="ComprehensiveIncomeFromContinuingOperations" order="8" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfComprehensiveIncomeAbstract" xlink:to="ComprehensiveIncomeFromDiscontinuedOperations" order="9" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfComprehensiveIncomeAbstract" xlink:to="ComprehensiveIncomeAttributableToOwnersOfParent" order="10" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfComprehensiveIncomeAbstract" xlink:to="ComprehensiveIncomeFromContinuingOperationsAttributableToOwnersOfParent" order="11" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfComprehensiveIncomeAbstract" xlink:to="ComprehensiveIncomeFromDiscontinuedOperationsAttributableToOwnersOfParent" order="12" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfComprehensiveIncomeAbstract" xlink:to="ComprehensiveIncomeAttributableToNoncontrollingInterests" order="13" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfComprehensiveIncomeAbstract" xlink:to="ComprehensiveIncomeFromContinuingOperationsAttributableToNonControllingInterests" order="14" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfComprehensiveIncomeAbstract" xlink:to="ComprehensiveIncomeFromDiscontinuedOperationsAttibutableToNonControllingInterests" order="15" />
  </link:presentationLink>
  <link:presentationLink xlink:type="extended" xlink:role="https://www.budimex.pl/role/CashFlow">
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_StatementOfCashFlowsAbstract" xlink:label="StatementOfCashFlowsAbstract" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:label="CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashAndCashEquivalentsClassifiedAsPartOfDisposalGroupHeldForSale" xlink:label="CashAndCashEquivalentsClassifiedAsPartOfDisposalGroupHeldForSale" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" xlink:label="EffectOfExchangeRateChangesOnCashAndCashEquivalents" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="CashFlowsFromUsedInFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsFinancingActivities" xlink:label="OtherInflowsOutflowsOfCashClassifiedAsFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:label="InterestPaidClassifiedAsFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" xlink:label="DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities" xlink:label="DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:label="RepaymentsOfBorrowingsClassifiedAsFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:label="ProceedsFromBorrowingsClassifiedAsFinancingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="CashFlowsFromUsedInInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_InterestReceivedClassifiedAsInvestingActivities" xlink:label="InterestReceivedClassifiedAsInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DividendsReceivedClassifiedAsInvestingActivities" xlink:label="DividendsReceivedClassifiedAsInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities" xlink:label="OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:label="CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:label="CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:label="ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" xlink:label="PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:label="CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherCashPaymentsToAcquireEquityOrDebtInstrumentsOfOtherEntitiesClassifiedAsInvestingActivities" xlink:label="OtherCashPaymentsToAcquireEquityOrDebtInstrumentsOfOtherEntitiesClassifiedAsInvestingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:label="PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProceedsFromSalesOfInvestmentProperty" xlink:label="ProceedsFromSalesOfInvestmentProperty" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:label="ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="CashFlowsFromUsedInOperatingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:label="IncomeTaxesPaidRefundClassifiedAsOperatingActivities" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:label="IncreaseDecreaseInWorkingCapital" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInDecreaseIncreaseInRestrictedCashAndCashEquivalents" xlink:label="CashFlowsFromUsedInDecreaseIncreaseInRestrictedCashAndCashEquivalents" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ChangeInValuationOfContructionContractsAndProvisionForLosses" xlink:label="ChangeInValuationOfContructionContractsAndProvisionForLosses" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInDeferredIncome" xlink:label="AdjustmentsForIncreaseDecreaseInDeferredIncome" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable" xlink:label="AdjustmentsForIncreaseDecreaseInTradeAccountPayable" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" xlink:label="AdjustmentsForDecreaseIncreaseInInventories" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" xlink:label="AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:label="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherAdjustmentsToReconcileProfitLoss" xlink:label="OtherAdjustmentsToReconcileProfitLoss" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForProvisions" xlink:label="AdjustmentsForProvisions" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives" xlink:label="AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherAdjustmentsForWhichCashEffectsAreInvestingOrFinancingCashFlow" xlink:label="OtherAdjustmentsForWhichCashEffectsAreInvestingOrFinancingCashFlow" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForFinanceIncomeCost" xlink:label="AdjustmentsForFinanceIncomeCost" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains" xlink:label="AdjustmentsForUnrealisedForeignExchangeLossesGains" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForUndistributedProfitsOfAssociates" xlink:label="AdjustmentsForUndistributedProfitsOfAssociates" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" xlink:label="AdjustmentsForDepreciationAndAmortisationExpense" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ProfitBeforeTaxFromDiscontinuedOperations" xlink:label="ProfitBeforeTaxFromDiscontinuedOperations" />
    <link:loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ProfitLossBeforeTax" />
    <link:loc xlink:type="locator" xlink:href="25940093SDJZW2C1V355-2021-12-31.xsd#Budim_ProfitLossBeforeTaxFromContiniuingAndDiscontinuedOperations" xlink:label="ProfitLossBeforeTaxFromContiniuingAndDiscontinuedOperations" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="ProfitLossBeforeTaxFromContiniuingAndDiscontinuedOperations" order="1" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="ProfitLossBeforeTax" order="2" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="ProfitBeforeTaxFromDiscontinuedOperations" order="3" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="AdjustmentsForDepreciationAndAmortisationExpense" order="4" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="AdjustmentsForUndistributedProfitsOfAssociates" order="5" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="AdjustmentsForUnrealisedForeignExchangeLossesGains" order="6" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="AdjustmentsForFinanceIncomeCost" order="7" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="OtherAdjustmentsForWhichCashEffectsAreInvestingOrFinancingCashFlow" order="8" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives" order="9" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="AdjustmentsForProvisions" order="10" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="OtherAdjustmentsToReconcileProfitLoss" order="11" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" order="12" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" order="13" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="AdjustmentsForDecreaseIncreaseInInventories" order="14" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="AdjustmentsForIncreaseDecreaseInTradeAccountPayable" order="15" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="AdjustmentsForIncreaseDecreaseInDeferredIncome" order="16" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="ChangeInValuationOfContructionContractsAndProvisionForLosses" order="17" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="CashFlowsFromUsedInDecreaseIncreaseInRestrictedCashAndCashEquivalents" order="18" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="IncreaseDecreaseInWorkingCapital" order="19" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="IncomeTaxesPaidRefundClassifiedAsOperatingActivities" order="20" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="CashFlowsFromUsedInOperatingActivities" order="21" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="ProceedsFromDisposalsOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" order="22" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="ProceedsFromSalesOfInvestmentProperty" order="23" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" order="24" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="OtherCashPaymentsToAcquireEquityOrDebtInstrumentsOfOtherEntitiesClassifiedAsInvestingActivities" order="25" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" order="26" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="PurchaseOfFinancialInstrumentsClassifiedAsInvestingActivities" order="27" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="ProceedsFromSalesOrMaturityOfFinancialInstrumentsClassifiedAsInvestingActivities" order="28" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" order="29" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" order="30" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities" order="31" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="DividendsReceivedClassifiedAsInvestingActivities" order="32" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="InterestReceivedClassifiedAsInvestingActivities" order="33" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="CashFlowsFromUsedInInvestingActivities" order="34" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="ProceedsFromBorrowingsClassifiedAsFinancingActivities" order="35" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="RepaymentsOfBorrowingsClassifiedAsFinancingActivities" order="36" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities" order="37" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" order="38" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" order="39" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="InterestPaidClassifiedAsFinancingActivities" order="40" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="OtherInflowsOutflowsOfCashClassifiedAsFinancingActivities" order="41" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="CashFlowsFromUsedInFinancingActivities" order="42" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" order="43" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="EffectOfExchangeRateChangesOnCashAndCashEquivalents" order="44" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="CashAndCashEquivalentsClassifiedAsPartOfDisposalGroupHeldForSale" order="45" />
    <link:presentationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/parent-child" xlink:from="StatementOfCashFlowsAbstract" xlink:to="CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" order="46" />
  </link:presentationLink>
</link:linkbase>